      character*54 s
      open(unit=10,file='hb_frame_all_ori.pdb', status='old')
      open(unit=20,file='hb_frame_all.pdb', status='unknown')
 10   read(10,'(a54:)',end=900)s
      if(index(s,'MODEL').gt.0)goto 30
      if(index(s,' CA ').gt.0)goto 30
      if(index(s,'HETATM').gt.0)goto 30
      goto 10
 30   write(6,'(54a1)')(s(k:k),k=1,54)
      write(20,'(54a1)')(s(k:k),k=1,54)
      goto 10
 900  close(20)
      end
